% link = setdefault("link", "") or ""
% disabled = setdefault("disabled", "") and 'disabled="true"'
% mimetype = (setdefault("mimetype", None) is not True and mimetype) or None
<!DOCTYPE html>
<html>
  <head>
    <style>
html {
  --scrollbarBG: #333333;
  --thumbBG: #080808;
}
body {
  background-color: #080808;
  color: #cccccc;
}
svg {
  background-color: floralwhite;
  color: black;
  max-height: min(100vh, calc(100vw * 9 / 16));
  max-width: calc(100vw - 2em);
}
iframe {
  color: floralwhite;
  background: darkgray;
  height: 60vh;
}
    </style>
    <title>Upload</title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous"/>
    <link rel="stylesheet" href="https://shandan.one/css/grids-responsive-min.css"/>
    <link rel="stylesheet" href="https://shandan.one/css/responsive-visibility-collapse.css"/>
  </head>
  <body align="center" style="text-align: center">
    <div class="pure-g">
      % include('button-style')
      <div class="pure-u-1">
        <div class="pure-button-group" role="action" style="padding: 1em 0 0;">
          <button class="button-resize pure-button" type="submit" form="upload" {{!disabled}}> Upload </button>
        </div>
      </div>
      <div class="pure-u-1">
        <div class="pure-button" style="margin: 1em 0 0; background: #afaf0f;">
          <a href="{{link}}" style="color: floralwhite;">{{ link }}</a>
        </div>
      </div>
      <div class="pure-u-1">
        <p><details><summary> Show QR code ...</summary>{{!svg}}</details></p>
{{!form}}
        <p>
        % if mimetype and not mimetype.startswith('text'):
        <embed type="{{mimetype}}" src="{{link}}" width="80%"></embed>
        % elif mimetype:
        <iframe src="{{link}}?download=false" width="80%" height="50%"></iframe>
        % end
        </p>
      </div>
    </div>
  </body>
</html>
